import { createTheme } from '@mui/material';

export const TableStyle = () => createTheme({
    components: {
        MUIDataTableToolbar: {
            styleOverrides: {
                root: {
                    paddingLeft: 15
                }
            }
        },
        MuiPaper: {
            styleOverrides: {
                root: {
                    boxShadow: 'none'
                }
            }

        },
        MUIDataTableBodyCell: {
            styleOverrides: {
                root: {
                    backgroundColor: "#FFF"
                }
            }
        },
        MuiTablePagination: {
            styleOverrides: {
                toolbar: {
                    paddingTop: 7,
                    alignItems: 'baseline'
                }
            }
        }
    }
})

export const TextLabels = {
    body: {
        noMatch: "No se encontró ningún elemento",
        toolTip: "Sort",
        columnHeaderTooltip: column => `Sort for ${column.label}`
    },
    pagination: {
        next: "Next Page",
        previous: "Previous Page",
        rowsPerPage: "Elementos por Página",
        displayRows: "of",
    },
    toolbar: {
        search: "Buscar",
        downloadCsv: "Descargar CSV",
        print: "Imprimir",
        viewColumns: "Seleccionar Columnas",
        filterTable: "Filtrar Tabla",
    },
    filter: {
        all: "Todos",
        title: "FILTROS",
        reset: "Limpiar",
    },
    viewColumns: {
        title: "Show Columns",
        titleAria: "Show/Hide Table Columns",
    },
    selectedRows: {
        text: "Elemento(s) selecionado",
        delete: "Delete",
        deleteAria: "Delete Selected Rows",
    },
}
